Subject: Re: [Mip4] DISCUSS: draft-ietf-mip4-rfc3344bis

From: "McCann Peter-A001034" <[email-masked]>
Date: Thu, 11 Mar 2010 11:01:20 -0500

If you are referring to this erratum:

http://www.rfc-editor.org/errata_search.php?eid=1482

I think it should be rejected.  All skippable extensions must 
use the short format, because by definition, the receiver is
not required to include parsing code and always expects the
Length field to be 8 bytes immediately following the Type.
A long format extension has a 16-bit length field and it is
in a different place.  So, unless the receiver has been updated
to understand that a particular Type code is used with a long
extension format, it would not be able to correctly find the
length field and skip the extension.  Thus all long extension
formats that are unrecognized must abort processing of the
message (i.e., they are NOT skippable).

I've cc'd the mip4 mailing list so anyone else can comment
if they have a different opinion.

-Pete

Adrian Farrel wrote:
> Discuss:
> 
> There is an Erratum reported against RFC 3344.
> It should either be:
> - verified and incorporated into this document or
> - rejected

---

From: Jari Arkko <[email-masked]>
Date: Thu, 11 Mar 2010 22:35:35 +0200

Either resolution is fine with me. The important part is that you and 
the working group have looked at this errata and made a decision.

Pete: let us know in a couple of days if there's any more feedback from 
the WG.

Jari

Adrian Farrel kirjoitti:
> Very sorry, I forgot to paste the link into the Discuss.
>
> Yes, that is the one.
>
> Important to not carry forward any Errata when we obsolete an RFC.
>
> Many thanks,
> Adrian
>
> ----- Original Message ----- From: "McCann Peter-A001034" 
> <[email-masked]>
> To: "Adrian Farrel" <[email-masked]>; <[email-masked]>
> Cc: <[email-masked]>; 
> <[email-masked]>; <[email-masked]>
> Sent: Thursday, March 11, 2010 4:01 PM
> Subject: RE: DISCUSS: draft-ietf-mip4-rfc3344bis
>
>

---

From: Adrian Farrel <[email-masked]>
Date: Thu, 11 Mar 2010 16:19:30 +0000

Yes, that is the one.

Many thanks,
Adrian

----- Original Message ----- 
From: "McCann Peter-A001034" <[email-masked]>
To: "Adrian Farrel" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; 

-Pete

---

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 31 Mar 2010 13:49:12 -0700

Hello folks,

For this purpose, I propose to add a sentence to
section 1.10:
	"Skippable extensions can never use the long
	 format, because the receiver is not required
	 to include parsing code and treats the 8 bits
	 immediately following the Type as the Length field."

Regards,
Charlie P.

On 3/11/2010 8:01 AM, McCann Peter-A001034 wrote:
> --
> Mip4 mailing list: [email-masked]
>      Web interface: https://www.ietf.org/mailman/listinfo/mip4
>       Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/
>

---

From: Adrian Farrel <[email-masked]>
Date: Wed, 31 Mar 2010 22:10:14 +0100

wfm
thanks!
A
----- Original Message ----- 
From: "Charles E. Perkins" <[email-masked]>
To: "McCann Peter-A001034" <[email-masked]>
Cc: <[email-masked]>; 
<[email-masked]>; <[email-masked]>; "Adrian 
Farrel" <[email-masked]>; <[email-masked]>
Sent: Wednesday, March 31, 2010 9:49 PM
Subject: Re: [Mip4] DISCUSS: draft-ietf-mip4-rfc3344bis